Get Team Folder Settings

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the settings of a team folder.

Endpoints

OAuth Scope

WorkDrive.teamfolders.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teamfolders/{teamfolder_id}/settings \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

teamfolder_idstring(Required)

The unique ID of a team folder.

Response Example

R221

U001

R004

F000

200
200
400
401
404
500
Copied!
  {
    "data": {
      "id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
      "type": "settings",
      "attributes": {
        "allow_external_sharing": true,
        "data_template_setting": {},
        "create_file_as_draft": true,
        "allow_ws_to_change_conversion": true,
        "allow_my_folder_to_change_conversion": false,
        "allow_create_ws": 0,
        "email_in": {
          "is_enabled": false,
          "receive_external_mail": false
        },
        "is_external_share_enabled": true,
        "enable_org_logo": false,
        "is_document_conversion": false,
        "can_viewer_download": true,
        "setting_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/settings/ly9zm0170fb40015f4e2297a144e2b68cfa68"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R221",
        "title": "Invalid inputs"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full